Bug 1798096 - Prop type warning for list pages
Summary: Prop type warning for list pages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Rohit Rai
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-04 14:53 UTC by Samuel Padgett
Modified: 2020-05-04 11:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:33:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4254 None closed Bug 1798096: Fix issue with prop name clash of applyFilter in CheckBoxes 2020-05-01 22:04:33 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:33:29 UTC

Description Samuel Padgett 2020-02-04 14:53:30 UTC
I installed the `Crunchy PostgreSQL for OpenShift` and navigated to Installed Operators -> All Instances and see this prop type warning.

Marking this low severity since it doesn't seem to have any bad effects that I can tell, but we should get to the bottom of what's wrong.

Warning: Failed prop type: Invalid prop 'filters' in 'TableInner'. 'Pgcluster,Pgreplica,Pgpolicy,Pgtask,Pgbackup' is not a valid filter type!
    in TableInner (created by ConnectFunction)
    in ConnectFunction (created by OperandList)
    in OperandList (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in ListPageWrapper_ (created by MultiListPage)
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction (created by MultiListPage)
    in div (created by ConnectedFireMan)
    in ConnectedFireMan (created by ConnectFunction)
    in ConnectFunction
    in ConnectFunction (created by MultiListPage)
    in MultiListPage

Comment 1 Samuel Padgett 2020-02-04 19:01:39 UTC
This is happening on other list pages too like the pods page. It doesn't appear to be specific to OLM.

Warning: Failed prop type: Invalid prop 'filters' in 'TableInner'. 'Running,Pending,Terminating,CrashLoopBackOff' is not a valid filter type!
    in TableInner (created by ConnectFunction)
    in ConnectFunction (created by PodList)
    in PodList (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in div (created by ListPageWrapper_)
    in ListPageWrapper_ (created by MultiListPage)
    in Unknown
    in Unknown (created by ConnectFunction)
    in ConnectFunction (created by Firehose)
    in Firehose (created by ConnectFunction)
    in ConnectFunction (created by MultiListPage)
    in div (created by ConnectedFireMan)
    in ConnectedFireMan (created by ConnectFunction)
    in ConnectFunction
    in ConnectFunction (created by MultiListPage)
    in MultiListPage
    in Unknown (created by ListPage)
    in ErrorBoundary (created by ListPage)
    in ListPage
    in Provider

Comment 4 Yadan Pei 2020-02-10 10:16:41 UTC
$ oc adm release info registry.svc.ci.openshift.org/ocp/release:4.4.0-0.nightly-2020-02-09-220310 --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b567bd472b23b1fd28eb977441d80808dc6fb0411a2f2b7c0ca350d023e9de52
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:aa3942a361374b3addfd29ff58b450403271af0eb266664bee7913b052214a91


$ oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b567bd472b23b1fd28eb977441d80808dc6fb0411a2f2b7c0ca350d023e9de52 | grep -i commit
Environment: SOURCE_GIT_COMMIT=d1b93e4c4f003fc612519f08ca395986fe912c5d
             io.openshift.build.commit.id=d1b93e4c4f003fc612519f08ca395986fe912c5d
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/d1b93e4c4f003fc612519f08ca395986fe912c5d

$ [yapei@New_Mac console]$ git log d1b93e4c4f003fc612519f08ca395986fe912c5d | grep '#4254'
    Merge pull request #4254 from rohitkrai03/row-filter-fix


Visit several resource list pages, such as 
Operators -> Installed Operators
Workloads -> all workload menus
User Management -> all resource menus 

No js warning 'Warning: Failed prop type: Invalid prop '

Verified on 4.4.0-0.nightly-2020-02-09-193413

Comment 6 errata-xmlrpc 2020-05-04 11:33:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.